commit:     7957d655295b302e80f808fa621921575a948723
Author:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
AuthorDate: Mon Jun 29 06:08:14 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Mon Jun 29 06:08:57 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7957d655

app-emulation/lxc: 4.0.3 release

Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 app-emulation/lxc/Manifest         |   1 +
 app-emulation/lxc/lxc-4.0.3.ebuild | 160 +++++++++++++++++++++++++++++++++++++
 2 files changed, 161 insertions(+)

diff --git a/app-emulation/lxc/Manifest b/app-emulation/lxc/Manifest
index f8760f06bb4..22458719259 100644
--- a/app-emulation/lxc/Manifest
+++ b/app-emulation/lxc/Manifest
@@ -1 +1,2 @@
 DIST lxc-4.0.2.tar.gz 1352667 BLAKE2B 
2ecc076bacb9bb1c2a808422f7b2e0cbfc74bf3bec6ca89ea58eb6ef4a414353c2e58163bff17b3304beb39f4980d10f54365f739645c1581bfca9f6079bf57c
 SHA512 
0de6c1f9649d161579b45fc28a735f703c4498eff9c588462b838220aeab73f91921db628f77bc461eff38c7583cac10a38951263181956e2d33412a406f3ef3
+DIST lxc-4.0.3.tar.gz 1368461 BLAKE2B 
861bd8f3736ecda9075c57338845d386811ae3aeceb72cd054023a25a9758d5d7c9ceec917fc634c118a13f8fb142b28bd93f27138b9ee1d0817f8360fda88da
 SHA512 
a5d45626b1f26c0f098f6f0f5852472ea065f65f9918b972826e087a9a71a34253c85dd6f1b6b6837ca97303f8d43478a66595057d65a6e72a72334a3257ef88

diff --git a/app-emulation/lxc/lxc-4.0.3.ebuild 
b/app-emulation/lxc/lxc-4.0.3.ebuild
new file mode 100644
index 00000000000..9f71458a5e7
--- /dev/null
+++ b/app-emulation/lxc/lxc-4.0.3.ebuild
@@ -0,0 +1,160 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools bash-completion-r1 linux-info flag-o-matic pam 
readme.gentoo-r1 systemd
+
+DESCRIPTION="LinuX Containers userspace utilities"
+HOMEPAGE="https://linuxcontainers.org/ https://github.com/lxc/lxc";
+SRC_URI="https://linuxcontainers.org/downloads/lxc/${P}.tar.gz";
+
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+
+LICENSE="LGPL-3"
+SLOT="0"
+IUSE="apparmor +caps doc examples libressl pam seccomp selinux +ssl +templates 
+tools"
+
+RDEPEND="app-misc/pax-utils
+       sys-apps/util-linux
+       sys-libs/libcap
+       virtual/awk
+       caps? ( sys-libs/libcap )
+       pam? ( sys-libs/pam )
+       seccomp? ( sys-libs/libseccomp )
+       selinux? ( sys-libs/libselinux )
+       ssl? (
+               !libressl? ( dev-libs/openssl:0= )
+               libressl? ( dev-libs/libressl:0= )
+       )"
+DEPEND="${RDEPEND}
+       >=app-text/docbook-sgml-utils-0.6.14-r2
+       >=sys-kernel/linux-headers-3.2
+       apparmor? ( sys-apps/apparmor )"
+BDEPEND="doc? ( app-doc/doxygen )"
+PDEPEND="templates? ( app-emulation/lxc-templates )"
+
+CONFIG_CHECK="~CGROUPS ~CGROUP_DEVICE
+       ~CPUSETS ~CGROUP_CPUACCT
+       ~CGROUP_SCHED
+
+       ~NAMESPACES
+       ~IPC_NS ~USER_NS ~PID_NS
+
+       ~CGROUP_FREEZER
+       ~UTS_NS ~NET_NS
+       ~VETH ~MACVLAN
+
+       ~POSIX_MQUEUE
+       ~!NETPRIO_CGROUP"
+
+ERROR_CGROUP_FREEZER="CONFIG_CGROUP_FREEZER:  needed to freeze containers"
+ERROR_UTS_NS="CONFIG_UTS_NS:  needed to unshare hostnames and uname info"
+ERROR_NET_NS="CONFIG_NET_NS:  needed for unshared network"
+ERROR_VETH="CONFIG_VETH:  needed for internal (host-to-container) networking"
+ERROR_MACVLAN="CONFIG_MACVLAN:  needed for internal (inter-container) 
networking"
+ERROR_POSIX_MQUEUE="CONFIG_POSIX_MQUEUE:  needed for lxc-execute command"
+ERROR_NETPRIO_CGROUP="CONFIG_NETPRIO_CGROUP:  as of kernel 3.3 and lxc 
0.8.0_rc1 this causes LXCs to fail booting."
+
+DOCS=( AUTHORS CONTRIBUTING MAINTAINERS NEWS README doc/FAQ.txt )
+
+pkg_setup() {
+       linux-info_pkg_setup
+}
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-3.0.0-bash-completion.patch
+       "${FILESDIR}"/${PN}-2.0.5-omit-sysconfig.patch # bug 558854
+)
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       append-flags -fno-strict-aliasing
+
+       # --enable-doc is for manpages which is why we don't link it to a "doc"
+       # USE flag. We always want man pages.
+       local myeconfargs=(
+               --bindir=/usr/bin
+               --localstatedir=/var
+               --sbindir=/usr/bin
+
+               --with-config-path=/var/lib/lxc
+               --with-distro=gentoo
+               --with-init-script=systemd
+               --with-rootfs-path=/var/lib/lxc/rootfs
+               --with-runtime-path=/run
+               --with-systemdsystemunitdir=$(systemd_get_systemunitdir)
+
+               --disable-asan
+               --disable-coverity-build
+               --disable-dlog
+               --disable-mutex-debugging
+               --disable-rpath
+               --disable-tests
+               --disable-ubsan
+               --disable-werror
+
+               --enable-bash
+               --enable-commands
+               --enable-doc
+               --enable-memfd-rexec
+               --enable-thread-safety
+
+               $(use_enable apparmor)
+               $(use_enable caps capabilities)
+               $(use_enable doc api-docs)
+               $(use_enable examples)
+               $(use_enable pam)
+               $(use_enable seccomp)
+               $(use_enable selinux)
+               $(use_enable ssl openssl)
+               $(use_enable tools)
+
+               $(use_with pam pamdir $(getpam_mod_dir))
+       )
+
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       default
+
+       mv "${ED}"/usr/share/bash-completion/completions/${PN} 
"${ED}"/$(get_bashcompdir)/${PN}-start || die
+       bashcomp_alias ${PN}-start \
+               
${PN}-{attach,cgroup,copy,console,create,destroy,device,execute,freeze,info,monitor,snapshot,stop,unfreeze,wait}
+
+       keepdir /etc/lxc /var/lib/lxc/rootfs /var/log/lxc
+       rmdir "${D}"/var/cache/lxc "${D}"/var/cache || die "rmdir failed"
+
+       find "${D}" -name '*.la' -delete -o -name '*.a' -delete || die
+
+       # Gentoo-specific additions!
+       newinitd "${FILESDIR}/${PN}.initd.8" ${PN}
+
+       # Remember to compare our systemd unit file with the upstream one
+       # config/init/systemd/lxc.service.in
+       systemd_newunit "${FILESDIR}"/${PN}_at.service.4.0.0 "[email protected]"
+
+       DOC_CONTENTS="
+       For openrc, there is an init script provided with the package.
+       You _should_ only need to symlink /etc/init.d/lxc to
+       /etc/init.d/lxc.configname to start the container defined in
+       /etc/lxc/configname.conf.
+
+       Correspondingly, for systemd a service file [email protected] is installed.
+       Enable and start lxc@configname in order to start the container defined
+       in /etc/lxc/configname.conf.
+
+       If you want checkpoint/restore functionality, please install criu
+       (sys-process/criu)."
+       DISABLE_AUTOFORMATTING=true
+       readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+       readme.gentoo_print_elog
+}

Reply via email to